package LiCoM::Config;

use strict;
use warnings;

use Exporter;

@LiCoM::Config::EXPORT_OK = ('get_config');
@LiCoM::Config::ISA = ('Exporter');

return (1);

sub get_config
{
	my $file = @_ ? shift : '/etc/licom/licom.conf';
	my $fh;
	my $config = {};

	open ($fh, "< $file") or die ("open ($file): $!");
	for (<$fh>)
	{
		chomp;
		my $line = $_;

		if ($line =~ m/^(\w+):\s*"(.+)"\s*$/)
		{
			my $key = lc ($1);
			my $val = $2;

			$config->{$key} = $val;
		}
	}

	close ($fh);

	return ($config);
}
